<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="mysite.css">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <title>Document</title>
</head>
<body>
  <template id="notification">
    <div class="toast d-flex justify-content-center p-4 m-4 fixed-top" role="alert" aria-live="assertive" aria-atomic="true">
      <div class="toast-description">
        See? Just like this.
      </div>
    </div>
  </template>
  <template id="header">
    <header
      class="d-flex align-items-center justify-content-between bg-dark bg-gradient mt-4 container">
      <div class="align-middle">
        <h3 class="text-light" id ="companyName"></h3>
      </div>
      <div class="d-flex flex-direction-row">
        <div class="bg-light text-secondary p-2 rounded m-1">
          maxSize <span class="badge bg-dark" id="maxSize">0</span>
        </div>
        <div class="bg-light text-secondary p-2 rounded m-1">
          curSize <span class="badge bg-dark" id="curSize">0</span>
        </div>
      </div>
    </header>
    <table class="table table-dark table-hover container">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">name</th>
          <th scope="col">lastName</th>
          <th scope="col">isAdmin</th>
          <th scope="col">role</th>
          <th scope="col">id</th>
          <th scope="col">delete</th>
        </tr>
      </thead>
      <tbody id="tbody">
      </tbody>
    </table>
  </template>
  <template id="user">
    <tr id="user__tr">
      <td scope="row" id="number">#</th>
      <td id="user-name">a</td>
      <td id="user-lastname">a</td>
      <td id="user-isAdmin">a</td>
      <td id="user-role">a</td>
      <td id="user-id">a</td>
      <td><button type="button" id="close" class="btn-close btn-close-white" aria-label="Close"></button></td>
    </tr>
  </template>
  <script src = 'dom.js'></script>
  <script src = 'company.js'></script>
  <script src = 'main.js'></script>
</body>
</html>